#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: esqueleto
version: 2.5.3
id: esqueleto-2.5.3-1IBdIg71Hr7DlT3e7COa5r
key: esqueleto-2.5.3-1IBdIg71Hr7DlT3e7COa5r
license: BSD3
copyright: (c) 2012-2016 Felipe Almeida Lessa
maintainer: cma@bitemyapp.com
homepage: https://github.com/bitemyapp/esqueleto
synopsis: Type-safe EDSL for SQL queries on persistent backends.
description:
    @esqueleto@ is a bare bones, type-safe EDSL for SQL queries
    that works with unmodified @persistent@ SQL backends.  Its
    language closely resembles SQL, so you don'\''t have to learn
    new concepts, just new syntax, and it'\''s fairly easy to
    predict the generated SQL and optimize it for your backend.
    Most kinds of errors committed when writing SQL are caught as
    compile-time errors---although it is possible to write
    type-checked @esqueleto@ queries that fail at runtime.
    .
    @persistent@ is a library for type-safe data serialization.  It
    has many kinds of backends, such as SQL backends
    (@persistent-mysql@, @persistent-postgresql@,
    @persistent-sqlite@) and NoSQL backends (@persistent-mongoDB@).
    While @persistent@ is a nice library for storing and retrieving
    records, including with filters, it does not try to support
    some of the features that are specific to SQL backends.  In
    particular, @esqueleto@ is the recommended library for
    type-safe @JOIN@s on @persistent@ SQL backends.  (The
    alternative is using raw SQL, but that'\''s error prone and does
    not offer any composability.)
    .
    Currently, @SELECT@s, @UPDATE@s, @INSERT@s and @DELETE@s are supported.
    Not all SQL features are available, but most of them can be easily added
    (especially functions), so please open an issue or send a pull request if
    you need anything that is not covered by @esqueleto@ on
    <https://github.com/bitemyapp/esqueleto>.
    .
    The name of this library means \"skeleton\" in Portuguese and
    contains all three SQL letters in the correct order =).  It was
    inspired by Scala'\''s Squeryl but created from scratch.
category: Database
author: Felipe Lessa
exposed: True
indefinite: False
exposed-modules:
    Database.Esqueleto Database.Esqueleto.Internal.Language
    Database.Esqueleto.Internal.Sql Database.Esqueleto.PostgreSQL
hidden-modules: Database.Esqueleto.Internal.PersistentImport
abi: 3838081c586f705dd1821f33f4e29a55
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/esqueleto-2.5.3
library-dirs: /usr/lib/ghc-8.2.2/site-local/esqueleto-2.5.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/esqueleto-2.5.3
hs-libraries: HSesqueleto-2.5.3-1IBdIg71Hr7DlT3e7COa5r
depends:
    base-4.10.1.0 bytestring-0.10.8.2
    text-1.2.3.0-FxgEmn4RjqC37dwdnPGDhj
    persistent-2.7.3.1-3F7EqlsyxpB2VYnyk6dK4Y transformers-0.5.2.0
    unordered-containers-0.2.9.0-BDwE3H9gLbqBuONTkERyOz
    tagged-0.8.5-BP06XmR1GLaIsvsOKwGst2
    monad-logger-0.3.28.3-5KQ1yG0X8rSLHODUZTWjKk
    conduit-1.2.13-ERrJ1zRDAjtBUEDnuFTct7
    resourcet-1.1.11-8WS6etjZjoIGQzjhLftij3
    blaze-html-0.9.0.1-HT9MGj6kW7JIH7aaLXkr1R
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             text-1.2.3.0-FxgEmn4RjqC37dwdnPGDhj=d51c5ac73448d7d6c9cbe4dedb95457e
             persistent-2.7.3.1-3F7EqlsyxpB2VYnyk6dK4Y=9d29ae2e2052de6eaf93e52a8314eb1a
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
             unordered-containers-0.2.9.0-BDwE3H9gLbqBuONTkERyOz=9d795026e0df763f1ffeaf92b7adcdda
             tagged-0.8.5-BP06XmR1GLaIsvsOKwGst2=4764468d99de060aada7572c7b2f4378
             monad-logger-0.3.28.3-5KQ1yG0X8rSLHODUZTWjKk=201857250fb8e6a56d1a862ad5b4c0bb
             conduit-1.2.13-ERrJ1zRDAjtBUEDnuFTct7=c466781791bf32db2246fdef0bcb0069
             resourcet-1.1.11-8WS6etjZjoIGQzjhLftij3=cf1dc27f76db31da591f7499cde81a83
             blaze-html-0.9.0.1-HT9MGj6kW7JIH7aaLXkr1R=73d2b9544f01cd8acaf404bd9dc45c3e
haddock-interfaces: /usr/share/doc/haskell-esqueleto/html/esqueleto.haddock
haddock-html: /usr/share/doc/haskell-esqueleto/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

